#include <iostream>
#include<cmath>
#include<algorithm>

using namespace std;

struct Teme
{
    long long x,y;
};
long long PovrsinaTrougla(Teme a, Teme b, Teme c)
{
    return abs(a.x*(b.y-c.y) + b.x*(c.y-a.y)+c.x*(a.y-b.y))/2;
};
int main() {
    int n;
    scanf("%d", &n);
    Teme t[n];
    for (int i = 0; i < n; i++)
    {
        scanf("%lld %lld", &t[i].x, &t[i].y);
    }
    if(n==4)
    {
        long long minpov = min(PovrsinaTrougla(t[0], t[1], t[2]), PovrsinaTrougla(t[1], t[2], t[3]));
        minpov = min(minpov, PovrsinaTrougla(t[2], t[3], t[0]));
        minpov = min(minpov, PovrsinaTrougla(t[3], t[0], t[1]));
        printf("%lld\n", minpov);
    }
    return 0;
}